<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_conteudo_filtroDAO.php");
$bi_conteudo_filtroDAO = new Bi_conteudo_filtroDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_analiseDAO.php");
$bi_analiseDAO = new Bi_analiseDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_conteudo_filtro = $bi_conteudo_filtroDAO->buscarBi_conteudo_filtro($_GET["codigo"]);
	}else{
		$bi_conteudo_filtro = new Bi_conteudo_filtro();
		$bi_conteudo_filtro->setAnalise(new Bi_analise());
	}
	$listaAnalise = $bi_analiseDAO->listarTodosRegistros(); 
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_conteudo_filtro->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_conteudo_filtro/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_conteudo_filtro = new Bi_conteudo_filtro();
	$bi_conteudo_filtro->setCodigo($_POST['codigo']);
	$bi_conteudo_filtro->setAnalise($_POST['analise']);
	$bi_conteudo_filtro->setId_filtro($_POST['id_filtro']);
	$bi_conteudo_filtro->setTipo($_POST['tipo']);
	$bi_conteudo_filtro->setConteudo($_POST['conteudo']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_conteudo_filtro->setCodigo($_POST['codigo']);
		$codigo = $bi_conteudo_filtro->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_conteudo_filtroDAO->atualizar($bi_conteudo_filtro);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_conteudo_filtroDAO->salvar($bi_conteudo_filtro);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_conteudo_filtro = $bi_conteudo_filtroDAO->buscarBi_conteudo_filtro($_GET["codigo"]);
		$bi_conteudo_filtroDAO->excluir($bi_conteudo_filtro);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	$listaBi_conteudo_filtro = $bi_conteudo_filtroDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_conteudo_filtro/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_conteudo_filtro = $bi_conteudo_filtroDAO->buscarBi_conteudo_filtro($_GET["codigo"]);
	}else{
		$bi_conteudo_filtro = new Bi_conteudo_filtro();
		$bi_conteudo_filtro->setAnalise(new Bi_analise());
	}
	$listaAnalise = $bi_analiseDAO->listarTodosRegistros(); 
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_conteudo_filtro->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_conteudo_filtro/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['analise']) and $_GET['analise'] != "")
	{
		$where .= " and analise = ". $_GET['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	if(isset($_POST['analise']) and $_POST['analise'] != "")
	{
		$where .= " and analise = ". $_POST['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_POST["analise"]; 
	}
	if(isset($_GET['id_filtro']) and $_GET["id_filtro"] != "" )
	{
		$where .= " and UPPER(id_filtro) like '%".strtoupper($_GET['id_filtro'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&id_filtro=".$_GET["id_filtro"]; 
	}
	if(isset($_POST['id_filtro']) and $_POST["id_filtro"] != "" )
	{
		$where .= " and UPPER(id_filtro) like '%".strtoupper($_POST['id_filtro'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&id_filtro=".$_POST["id_filtro"]; 
	}
	if(isset($_GET['tipo']) and $_GET["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_GET['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_GET["tipo"]; 
	}
	if(isset($_POST['tipo']) and $_POST["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_POST['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_POST["tipo"]; 
	}
	if(isset($_GET['conteudo']) and $_GET["conteudo"] != "" )
	{
		$where .= " and UPPER(conteudo) like '%".strtoupper($_GET['conteudo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&conteudo=".$_GET["conteudo"]; 
	}
	if(isset($_POST['conteudo']) and $_POST["conteudo"] != "" )
	{
		$where .= " and UPPER(conteudo) like '%".strtoupper($_POST['conteudo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&conteudo=".$_POST["conteudo"]; 
	}
	$listaBi_conteudo_filtro = $bi_conteudo_filtroDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_conteudo_filtro/Listar_todos_registros.php");
}
